var vueFormBuilder = (function (exports) {
    'use strict';

    //
    //
    //
    //
    //
    //
    //
    //
    //

    var script = {
        props:{
            error:{
                required:false,
            },
            config:{
                required:false,
                type:Object
            },
            value:{
                required:false,
            },
            name:{
                required:false,
            },
            label:{
                required:false,
                default:' '
            },
            required:{
                required:false
            },
            readOnly:{
                required:false
            },
            placeholder:{
                required:false
            },
            id:{
                required:false,
            }
        },
        data: function data(){
            return {
            }
        },
        computed:{
            val:{
                get: function get(){
                    return this.value;
                },
                set: function set(value){
                    this.$emit('input',value);
                }
            },
            getError: function getError(){
                return this.error;
            },
            haveError: function haveError(){
                return this.error;
            }
        },
        created: function created(){
            //init les config particuliere
            if(this.config){
                for (var key in this.config){
                    this.$set(this,key,this.config[key]);
                }
            }
        }
    };

    function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
        if (typeof shadowMode !== 'boolean') {
            createInjectorSSR = createInjector;
            createInjector = shadowMode;
            shadowMode = false;
        }
        // Vue.extend constructor export interop.
        var options = typeof script === 'function' ? script.options : script;
        // render functions
        if (template && template.render) {
            options.render = template.render;
            options.staticRenderFns = template.staticRenderFns;
            options._compiled = true;
            // functional template
            if (isFunctionalTemplate) {
                options.functional = true;
            }
        }
        // scopedId
        if (scopeId) {
            options._scopeId = scopeId;
        }
        var hook;
        if (moduleIdentifier) {
            // server build
            hook = function (context) {
                // 2.3 injection
                context =
                    context || // cached call
                        (this.$vnode && this.$vnode.ssrContext) || // stateful
                        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
                // 2.2 with runInNewContext: true
                if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                    context = __VUE_SSR_CONTEXT__;
                }
                // inject component styles
                if (style) {
                    style.call(this, createInjectorSSR(context));
                }
                // register component module identifier for async chunk inference
                if (context && context._registeredComponents) {
                    context._registeredComponents.add(moduleIdentifier);
                }
            };
            // used by ssr in case component is cached and beforeCreate
            // never gets called
            options._ssrRegister = hook;
        }
        else if (style) {
            hook = shadowMode
                ? function (context) {
                    style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
                }
                : function (context) {
                    style.call(this, createInjector(context));
                };
        }
        if (hook) {
            if (options.functional) {
                // register for functional component in vue file
                var originalRender = options.render;
                options.render = function renderWithStyleInjection(h, context) {
                    hook.call(context);
                    return originalRender(h, context);
                };
            }
            else {
                // inject component registration as beforeCreate hook
                var existing = options.beforeCreate;
                options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
            }
        }
        return script;
    }

    /* script */
    var __vue_script__ = script;

    /* template */
    var __vue_render__ = function() {
      var _vm = this;
      var _h = _vm.$createElement;
      var _c = _vm._self._c || _h;
      return _c("div", { staticClass: "form-group" }, [
        _c("label", { staticClass: "text-capitalize", attrs: { for: _vm.id } }, [
          _vm._v(_vm._s(_vm.label) + "\n        "),
          _vm.required
            ? _c("span", { staticClass: "text-danger" }, [_vm._v("*")])
            : _vm._e()
        ]),
        _vm._v(" "),
        _c("input", {
          directives: [
            { name: "model", rawName: "v-model", value: _vm.val, expression: "val" }
          ],
          staticClass: "form-control",
          class: { "is-invalid": _vm.haveError },
          attrs: {
            type: "text",
            id: _vm.id,
            name: _vm.name,
            placeholder: _vm.placeholder,
            required: _vm.required,
            readOnly: _vm.readOnly
          },
          domProps: { value: _vm.val },
          on: {
            input: function($event) {
              if ($event.target.composing) {
                return
              }
              _vm.val = $event.target.value;
            }
          }
        }),
        _vm._v(" "),
        _vm.haveError
          ? _c(
              "span",
              {
                staticClass: "error invalid-feedback",
                attrs: { id: _vm.id + "-error" }
              },
              [_vm._v(_vm._s(_vm.getError))]
            )
          : _vm._e()
      ])
    };
    var __vue_staticRenderFns__ = [];
    __vue_render__._withStripped = true;

      /* style */
      var __vue_inject_styles__ = undefined;
      /* scoped */
      var __vue_scope_id__ = undefined;
      /* module identifier */
      var __vue_module_identifier__ = undefined;
      /* functional template */
      var __vue_is_functional_template__ = false;
      /* style inject */
      
      /* style inject SSR */
      
      /* style inject shadow dom */
      

      
      var __vue_component__ = /*#__PURE__*/normalizeComponent(
        { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
        __vue_inject_styles__,
        __vue_script__,
        __vue_scope_id__,
        __vue_is_functional_template__,
        __vue_module_identifier__,
        false,
        undefined,
        undefined,
        undefined
      );

    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //

    var script$1 = {
        props:{
            error:{
                required:false,
            },
            config:{
                required:false,
                type:Object
            },
            value:{
                required:false,
            },
            name:{
                required:false,
            },
            label:{
                required:false,
                default:' '
            },
            required:{
                required:false
            },
            readOnly:{
                required:false
            },
            id:{
                required:false,
            },
            empty:{
                required:false,
            },
            options:{
                required:true,
            }
        },
        data: function data(){
            return {
            }
        },
        computed:{
            val:{
                get: function get(){
                    return this.value;
                },
                set: function set(value){
                    this.$emit('input',value);
                }
            },
            getError: function getError(){
                return this.error;
            },
            haveError: function haveError(){
                return this.error;
            },
            getOptions: function getOptions(){
                if(this.options){
                    return this.options;
                }
                //on pourras faire en sorte de passer une url pour egt les datas plus tard
            }
        },
        created: function created(){
            //init les config particuliere
            if(this.config){
                for (var key in this.config){
                    this.$set(this,key,this.config[key]);
                }
            }
        }
    };

    /* script */
    var __vue_script__$1 = script$1;

    /* template */
    var __vue_render__$1 = function() {
      var _vm = this;
      var _h = _vm.$createElement;
      var _c = _vm._self._c || _h;
      return _c("div", { staticClass: "form-group" }, [
        _c("label", { staticClass: "text-capitalize", attrs: { for: _vm.id } }, [
          _vm._v(_vm._s(_vm.label) + "\n        "),
          _vm.required
            ? _c("span", { staticClass: "text-danger" }, [_vm._v("*")])
            : _vm._e()
        ]),
        _vm._v(" "),
        _c(
          "select",
          {
            directives: [
              {
                name: "model",
                rawName: "v-model",
                value: _vm.val,
                expression: "val"
              }
            ],
            staticClass: "form-control",
            class: { "is-invalid": _vm.haveError },
            attrs: { name: _vm.name, id: _vm.id, required: _vm.required },
            on: {
              change: function($event) {
                var $$selectedVal = Array.prototype.filter
                  .call($event.target.options, function(o) {
                    return o.selected
                  })
                  .map(function(o) {
                    var val = "_value" in o ? o._value : o.value;
                    return val
                  });
                _vm.val = $event.target.multiple ? $$selectedVal : $$selectedVal[0];
              }
            }
          },
          [
            _vm.empty
              ? _c("option", { attrs: { value: "" } }, [_vm._v(_vm._s(_vm.empty))])
              : _vm._e(),
            _vm._v(" "),
            _vm._l(_vm.getOptions, function(item, key) {
              return _c("option", { key: key, domProps: { value: key } }, [
                _vm._v(_vm._s(item))
              ])
            })
          ],
          2
        ),
        _vm._v(" "),
        _vm.haveError
          ? _c(
              "span",
              {
                staticClass: "error invalid-feedback",
                attrs: { id: _vm.id + "-error" }
              },
              [_vm._v(_vm._s(_vm.getError))]
            )
          : _vm._e()
      ])
    };
    var __vue_staticRenderFns__$1 = [];
    __vue_render__$1._withStripped = true;

      /* style */
      var __vue_inject_styles__$1 = undefined;
      /* scoped */
      var __vue_scope_id__$1 = undefined;
      /* module identifier */
      var __vue_module_identifier__$1 = undefined;
      /* functional template */
      var __vue_is_functional_template__$1 = false;
      /* style inject */
      
      /* style inject SSR */
      
      /* style inject shadow dom */
      

      
      var __vue_component__$1 = /*#__PURE__*/normalizeComponent(
        { render: __vue_render__$1, staticRenderFns: __vue_staticRenderFns__$1 },
        __vue_inject_styles__$1,
        __vue_script__$1,
        __vue_scope_id__$1,
        __vue_is_functional_template__$1,
        __vue_module_identifier__$1,
        false,
        undefined,
        undefined,
        undefined
      );

    //
    //
    //
    //
    //
    //
    //
    //
    //
    //

    var script$2 = {
        props:['item','value','errors'],
        computed:{
            val:{
                get: function get(){
                    if(this.value === true || this.value === '1'){
                        return '1';
                    }
                    return '0';
                },
                set: function set(value){
                    this.$emit('input',value);
                }
            },
            getError: function getError(){
                return this.errors[this.item.name][0];
            },
            haveError: function haveError(){
                return this.errors && typeof this.errors[this.item.name] != 'undefined';
            }
        },
        created: function created(){
            this.id = this.item.type + '-' + Math.floor(Math.random() * 100000000);
        }
    };

    /* script */
    var __vue_script__$2 = script$2;

    /* template */
    var __vue_render__$2 = function() {
      var _vm = this;
      var _h = _vm.$createElement;
      var _c = _vm._self._c || _h;
      return _c("div", { staticClass: "custom-control custom-checkbox" }, [
        _c("input", {
          directives: [
            { name: "model", rawName: "v-model", value: _vm.val, expression: "val" }
          ],
          staticClass: "custom-control-input",
          class: { "is-invalid": _vm.haveError },
          attrs: {
            type: "checkbox",
            id: _vm.id,
            name: _vm.item.name,
            placeholder: _vm.item.placeholder,
            required: _vm.item.required,
            readOnly: _vm.item.readOnly,
            "true-value": "1",
            "false-value": "0"
          },
          domProps: {
            checked: Array.isArray(_vm.val)
              ? _vm._i(_vm.val, null) > -1
              : _vm._q(_vm.val, "1")
          },
          on: {
            change: function($event) {
              var $$a = _vm.val,
                $$el = $event.target,
                $$c = $$el.checked ? "1" : "0";
              if (Array.isArray($$a)) {
                var $$v = null,
                  $$i = _vm._i($$a, $$v);
                if ($$el.checked) {
                  $$i < 0 && (_vm.val = $$a.concat([$$v]));
                } else {
                  $$i > -1 &&
                    (_vm.val = $$a.slice(0, $$i).concat($$a.slice($$i + 1)));
                }
              } else {
                _vm.val = $$c;
              }
            }
          }
        }),
        _vm._v(" "),
        _c(
          "label",
          {
            staticClass: "text-capitalize custom-control-label",
            attrs: { for: _vm.id }
          },
          [
            _vm._v(_vm._s(_vm.item.label) + "\n        "),
            _vm.item.required
              ? _c("span", { staticClass: "text-danger" }, [_vm._v("*")])
              : _vm._e()
          ]
        ),
        _vm._v(" "),
        _vm.haveError
          ? _c(
              "span",
              {
                staticClass: "error invalid-feedback",
                attrs: { id: _vm.id + "-error" }
              },
              [_vm._v(_vm._s(_vm.getError))]
            )
          : _vm._e()
      ])
    };
    var __vue_staticRenderFns__$2 = [];
    __vue_render__$2._withStripped = true;

      /* style */
      var __vue_inject_styles__$2 = undefined;
      /* scoped */
      var __vue_scope_id__$2 = undefined;
      /* module identifier */
      var __vue_module_identifier__$2 = undefined;
      /* functional template */
      var __vue_is_functional_template__$2 = false;
      /* style inject */
      
      /* style inject SSR */
      
      /* style inject shadow dom */
      

      
      var __vue_component__$2 = /*#__PURE__*/normalizeComponent(
        { render: __vue_render__$2, staticRenderFns: __vue_staticRenderFns__$2 },
        __vue_inject_styles__$2,
        __vue_script__$2,
        __vue_scope_id__$2,
        __vue_is_functional_template__$2,
        __vue_module_identifier__$2,
        false,
        undefined,
        undefined,
        undefined
      );

    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //

    var script$3 = {
        props:{
            options:{
                required:true,
                type:Array
            },
            errors:{
                required:false,
            },
            item:{
                required:false,
                type:Object
            },
            value:{
                required:false,
            },
        },
        data: function data(){
            return {
                type:'radio',
                id:null,
                name:null,
                label:false
            }
        },
        computed:{
            val:{
                get: function get(){
                    return this.value;
                },
                set: function set(value){
                    this.$emit('input',value);
                }
            },
            getError: function getError(){
                return this.errors[this.item.name][0];
            },
            haveError: function haveError(){
                return this.errors && typeof this.errors[this.item.name] != 'undefined';
            }
        },
        created: function created(){
            this.id = this.type + '-' + Math.floor(Math.random() * 100000000);
            this.name = this.id;

            for (var key in this.item){
                this[key] = this.item[key];
            }
        }
    };

    /* script */
    var __vue_script__$3 = script$3;

    /* template */
    var __vue_render__$3 = function() {
      var _vm = this;
      var _h = _vm.$createElement;
      var _c = _vm._self._c || _h;
      return _c("div", [
        _c("div", [
          _vm.label
            ? _c("label", { attrs: { for: "" } }, [_vm._v(_vm._s(_vm.label))])
            : _vm._e()
        ]),
        _vm._v(" "),
        _c(
          "div",
          { staticClass: "flex-fill" },
          [
            _vm._l(_vm.options, function(option, index) {
              return _c(
                "div",
                { key: index, staticClass: "form-check form-check-inline" },
                [
                  _c("input", {
                    directives: [
                      {
                        name: "model",
                        rawName: "v-model",
                        value: _vm.val,
                        expression: "val"
                      }
                    ],
                    staticClass: "form-check-input",
                    class: { "is-invalid": _vm.haveError },
                    attrs: {
                      type: "radio",
                      id: "radio_" + option.value,
                      name: _vm.name
                    },
                    domProps: {
                      value: option.value,
                      checked: _vm._q(_vm.val, option.value)
                    },
                    on: {
                      change: function($event) {
                        _vm.val = option.value;
                      }
                    }
                  }),
                  _vm._v(" "),
                  _c(
                    "label",
                    {
                      staticClass: "form-check-label",
                      attrs: { for: "radio_" + option.value }
                    },
                    [_vm._v(_vm._s(option.libelle))]
                  )
                ]
              )
            }),
            _vm._v(" "),
            _vm.haveError
              ? _c("div", { staticClass: "invalid-feedback text-danger d-block" }, [
                  _vm._v("\n            " + _vm._s(_vm.getError) + "\n        ")
                ])
              : _vm._e()
          ],
          2
        )
      ])
    };
    var __vue_staticRenderFns__$3 = [];
    __vue_render__$3._withStripped = true;

      /* style */
      var __vue_inject_styles__$3 = undefined;
      /* scoped */
      var __vue_scope_id__$3 = undefined;
      /* module identifier */
      var __vue_module_identifier__$3 = undefined;
      /* functional template */
      var __vue_is_functional_template__$3 = false;
      /* style inject */
      
      /* style inject SSR */
      
      /* style inject shadow dom */
      

      
      var __vue_component__$3 = /*#__PURE__*/normalizeComponent(
        { render: __vue_render__$3, staticRenderFns: __vue_staticRenderFns__$3 },
        __vue_inject_styles__$3,
        __vue_script__$3,
        __vue_scope_id__$3,
        __vue_is_functional_template__$3,
        __vue_module_identifier__$3,
        false,
        undefined,
        undefined,
        undefined
      );

    //
    //
    //
    //
    //
    //
    //
    //
    //

    var script$4 = {
        props:{
            errors:{
                required:false,
            },
            item:{
                required:false,
                type:Object
            },
            value:{
                required:false,
            },
        },
        data: function data(){
            return {
                type:'number',
                label:false,
                name:null,
                required:false,
                placeholder:null,
                readOnly:false,
                min:false,
                max:false,
                step:1
            }
        },
        computed:{
            val:{
                get: function get(){
                    return this.value;
                },
                set: function set(value){
                    this.$emit('input',value);
                }
            },
            getError: function getError(){
                return this.errors[this.item.name][0];
            },
            haveError: function haveError(){
                return this.errors && typeof this.errors[this.item.name] != 'undefined';
            }
        },
        created: function created(){
            this.id = this.type + '-' + Math.floor(Math.random() * 100000000);

            this.name = this.id;

            for (var key in this.item){
                this[key] = this.item[key];
            }

        }
    };

    /* script */
    var __vue_script__$4 = script$4;

    /* template */
    var __vue_render__$4 = function() {
      var _vm = this;
      var _h = _vm.$createElement;
      var _c = _vm._self._c || _h;
      return _c("div", { staticClass: "form-group" }, [
        _vm.label
          ? _c(
              "label",
              { staticClass: "text-capitalize", attrs: { for: _vm.id } },
              [
                _vm._v(_vm._s(_vm.label) + "\n        "),
                _vm.required
                  ? _c("span", { staticClass: "text-danger" }, [_vm._v("*")])
                  : _vm._e()
              ]
            )
          : _vm._e(),
        _vm._v(" "),
        _c("input", {
          directives: [
            { name: "model", rawName: "v-model", value: _vm.val, expression: "val" }
          ],
          staticClass: "form-control",
          class: { "is-invalid": _vm.haveError },
          attrs: {
            type: "number",
            min: _vm.min,
            max: _vm.max,
            step: _vm.step,
            id: _vm.id,
            name: _vm.name,
            placeholder: _vm.placeholder,
            required: _vm.required,
            readOnly: _vm.readOnly
          },
          domProps: { value: _vm.val },
          on: {
            input: function($event) {
              if ($event.target.composing) {
                return
              }
              _vm.val = $event.target.value;
            }
          }
        }),
        _vm._v(" "),
        _vm.haveError
          ? _c(
              "span",
              {
                staticClass: "error invalid-feedback",
                attrs: { id: _vm.id + "-error" }
              },
              [_vm._v(_vm._s(_vm.getError))]
            )
          : _vm._e()
      ])
    };
    var __vue_staticRenderFns__$4 = [];
    __vue_render__$4._withStripped = true;

      /* style */
      var __vue_inject_styles__$4 = undefined;
      /* scoped */
      var __vue_scope_id__$4 = undefined;
      /* module identifier */
      var __vue_module_identifier__$4 = undefined;
      /* functional template */
      var __vue_is_functional_template__$4 = false;
      /* style inject */
      
      /* style inject SSR */
      
      /* style inject shadow dom */
      

      
      var __vue_component__$4 = /*#__PURE__*/normalizeComponent(
        { render: __vue_render__$4, staticRenderFns: __vue_staticRenderFns__$4 },
        __vue_inject_styles__$4,
        __vue_script__$4,
        __vue_scope_id__$4,
        __vue_is_functional_template__$4,
        __vue_module_identifier__$4,
        false,
        undefined,
        undefined,
        undefined
      );

    //
    //
    //
    //
    //

    var script$5 = {
        props:{
            error:{
                required:false,
            },
            config:{
                required:false,
                type:Object
            },
            value:{
                required:false,
            },
            name:{
                required:false,
            },
            required:{
                required:false
            },
            id:{
                required:false,
            }
        },
        computed:{
            val:{
                get: function get(){
                    return this.value;
                },
                set: function set(value){
                    this.$emit('input',value);
                }
            },
        },
        created: function created(){
            //init les config particuliere
            if(this.config){
                for (var key in this.config){
                    this.$set(this,key,this.config[key]);
                }
            }
        }
    };

    /* script */
    var __vue_script__$5 = script$5;

    /* template */
    var __vue_render__$5 = function() {
      var _vm = this;
      var _h = _vm.$createElement;
      var _c = _vm._self._c || _h;
      return _c("div", { staticClass: "form-group" }, [
        _c("input", {
          directives: [
            { name: "model", rawName: "v-model", value: _vm.val, expression: "val" }
          ],
          staticClass: "form-control",
          attrs: {
            type: "hidden",
            id: _vm.id,
            name: _vm.name,
            required: _vm.required,
            readOnly: _vm.readOnly
          },
          domProps: { value: _vm.val },
          on: {
            input: function($event) {
              if ($event.target.composing) {
                return
              }
              _vm.val = $event.target.value;
            }
          }
        })
      ])
    };
    var __vue_staticRenderFns__$5 = [];
    __vue_render__$5._withStripped = true;

      /* style */
      var __vue_inject_styles__$5 = undefined;
      /* scoped */
      var __vue_scope_id__$5 = undefined;
      /* module identifier */
      var __vue_module_identifier__$5 = undefined;
      /* functional template */
      var __vue_is_functional_template__$5 = false;
      /* style inject */
      
      /* style inject SSR */
      
      /* style inject shadow dom */
      

      
      var __vue_component__$5 = /*#__PURE__*/normalizeComponent(
        { render: __vue_render__$5, staticRenderFns: __vue_staticRenderFns__$5 },
        __vue_inject_styles__$5,
        __vue_script__$5,
        __vue_scope_id__$5,
        __vue_is_functional_template__$5,
        __vue_module_identifier__$5,
        false,
        undefined,
        undefined,
        undefined
      );

    //
    //
    //
    //
    //
    //
    //
    //
    //

    var script$6 = {
        props:{
            errors:{
                required:false,
            },
            item:{
                required:false,
                type:Object
            },
            value:{
                required:false,
            },
        },
        data: function data(){
            return {
                type:'number',
                label:false,
                name:null,
                required:false,
                placeholder:null,
                readOnly:false,
            }
        },
        computed:{
            val:{
                get: function get(){
                    return this.value;
                },
                set: function set(value){
                    this.$emit('input',value);
                }
            },
            getError: function getError(){
                return this.errors[this.item.name][0];
            },
            haveError: function haveError(){
                return this.errors && typeof this.errors[this.item.name] != 'undefined';
            }
        },
        created: function created(){
            this.id = this.type + '-' + Math.floor(Math.random() * 100000000);

            this.name = this.id;

            for (var key in this.item){
                this[key] = this.item[key];
            }

        }
    };

    /* script */
    var __vue_script__$6 = script$6;

    /* template */
    var __vue_render__$6 = function() {
      var _vm = this;
      var _h = _vm.$createElement;
      var _c = _vm._self._c || _h;
      return _c("div", { staticClass: "form-group" }, [
        _vm.label
          ? _c(
              "label",
              { staticClass: "text-capitalize", attrs: { for: _vm.id } },
              [
                _vm._v(_vm._s(_vm.label) + "\n        "),
                _vm.required
                  ? _c("span", { staticClass: "text-danger" }, [_vm._v("*")])
                  : _vm._e()
              ]
            )
          : _vm._e(),
        _vm._v(" "),
        _c("input", {
          directives: [
            { name: "model", rawName: "v-model", value: _vm.val, expression: "val" }
          ],
          staticClass: "form-control",
          class: { "is-invalid": _vm.haveError },
          attrs: {
            type: "color",
            id: _vm.id,
            name: _vm.name,
            placeholder: _vm.placeholder,
            required: _vm.required,
            readOnly: _vm.readOnly
          },
          domProps: { value: _vm.val },
          on: {
            input: function($event) {
              if ($event.target.composing) {
                return
              }
              _vm.val = $event.target.value;
            }
          }
        }),
        _vm._v(" "),
        _vm.haveError
          ? _c(
              "span",
              {
                staticClass: "error invalid-feedback",
                attrs: { id: _vm.id + "-error" }
              },
              [_vm._v(_vm._s(_vm.getError))]
            )
          : _vm._e()
      ])
    };
    var __vue_staticRenderFns__$6 = [];
    __vue_render__$6._withStripped = true;

      /* style */
      var __vue_inject_styles__$6 = undefined;
      /* scoped */
      var __vue_scope_id__$6 = undefined;
      /* module identifier */
      var __vue_module_identifier__$6 = undefined;
      /* functional template */
      var __vue_is_functional_template__$6 = false;
      /* style inject */
      
      /* style inject SSR */
      
      /* style inject shadow dom */
      

      
      var __vue_component__$6 = /*#__PURE__*/normalizeComponent(
        { render: __vue_render__$6, staticRenderFns: __vue_staticRenderFns__$6 },
        __vue_inject_styles__$6,
        __vue_script__$6,
        __vue_scope_id__$6,
        __vue_is_functional_template__$6,
        __vue_module_identifier__$6,
        false,
        undefined,
        undefined,
        undefined
      );

    //
    //
    //
    //
    //
    //
    //
    //
    //

    var script$7 = {
        props:{
            error:{
                required:false,
            },
            config:{
                required:false,
                type:Object
            },
            value:{
                required:false,
            },
            name:{
                required:false,
            },
            label:{
                required:false,
                default:' '
            },
            required:{
                required:false
            },
            readOnly:{
                required:false
            },
            placeholder:{
                required:false
            },
            id:{
                required:false,
            }
        },
        data: function data(){
            return {
            }
        },
        computed:{
            val:{
                get: function get(){
                    return this.value;
                },
                set: function set(value){
                    this.$emit('input',value);
                }
            },
            getError: function getError(){
                return this.error;
            },
            haveError: function haveError(){
                return this.error;
            }
        },
        created: function created(){
            //init les config particuliere
            if(this.config){
                for (var key in this.config){
                    this.$set(this,key,this.config[key]);
                }
            }
        }
    };

    /* script */
    var __vue_script__$7 = script$7;

    /* template */
    var __vue_render__$7 = function() {
      var _vm = this;
      var _h = _vm.$createElement;
      var _c = _vm._self._c || _h;
      return _c("div", { staticClass: "form-group" }, [
        _c("label", { staticClass: "text-capitalize", attrs: { for: _vm.id } }, [
          _vm._v(_vm._s(_vm.label) + "\n        "),
          _vm.required
            ? _c("span", { staticClass: "text-danger" }, [_vm._v("*")])
            : _vm._e()
        ]),
        _vm._v(" "),
        _c("input", {
          directives: [
            { name: "model", rawName: "v-model", value: _vm.val, expression: "val" }
          ],
          staticClass: "form-control",
          class: { "is-invalid": _vm.haveError },
          attrs: {
            type: "email",
            id: _vm.id,
            name: _vm.name,
            placeholder: _vm.placeholder,
            required: _vm.required,
            readOnly: _vm.readOnly
          },
          domProps: { value: _vm.val },
          on: {
            input: function($event) {
              if ($event.target.composing) {
                return
              }
              _vm.val = $event.target.value;
            }
          }
        }),
        _vm._v(" "),
        _vm.haveError
          ? _c(
              "span",
              {
                staticClass: "error invalid-feedback",
                attrs: { id: _vm.id + "-error" }
              },
              [_vm._v(_vm._s(_vm.getError))]
            )
          : _vm._e()
      ])
    };
    var __vue_staticRenderFns__$7 = [];
    __vue_render__$7._withStripped = true;

      /* style */
      var __vue_inject_styles__$7 = undefined;
      /* scoped */
      var __vue_scope_id__$7 = undefined;
      /* module identifier */
      var __vue_module_identifier__$7 = undefined;
      /* functional template */
      var __vue_is_functional_template__$7 = false;
      /* style inject */
      
      /* style inject SSR */
      
      /* style inject shadow dom */
      

      
      var __vue_component__$7 = /*#__PURE__*/normalizeComponent(
        { render: __vue_render__$7, staticRenderFns: __vue_staticRenderFns__$7 },
        __vue_inject_styles__$7,
        __vue_script__$7,
        __vue_scope_id__$7,
        __vue_is_functional_template__$7,
        __vue_module_identifier__$7,
        false,
        undefined,
        undefined,
        undefined
      );

    //
    //
    //
    //
    //
    //
    //
    //
    //
    //

    var script$8 = {
        props:{
            errors:{
                required:false,
            },
            item:{
                required:false,
                type:Object
            },
            value:{
                required:false,
            },
        },
        data: function data(){
            return {
                type:'dateTime',
                label:false,
                name:null,
                required:false,
                readOnly:false,
                timePicker:{
                    enableTime: true,
                    noCalendar: true,
                    dateFormat: "H:i",
                    defaultDate: "13:45",
                    static:true,
                    time_24hr:true
                },
            }
        },
        computed:{
            val:{
                get: function get(){
                    return this.value;
                },
                set: function set(value){
                    this.$emit('input',value);
                }
            },
            getError: function getError(){
                return this.errors[this.item.name][0];
            },
            haveError: function haveError(){
                return this.errors && typeof this.errors[this.item.name] != 'undefined';
            }
        },
        created: function created(){
            this.id = this.type + '-' + Math.floor(Math.random() * 100000000);

            this.name = this.id;

            for (var key in this.item){
                this[key] = this.item[key];
            }

        }
    };

    /* script */
    var __vue_script__$8 = script$8;

    /* template */
    var __vue_render__$8 = function() {
      var _vm = this;
      var _h = _vm.$createElement;
      var _c = _vm._self._c || _h;
      return _c(
        "div",
        { staticClass: "form-group" },
        [
          _vm.label
            ? _c(
                "label",
                { staticClass: "text-capitalize", attrs: { for: _vm.id } },
                [
                  _vm._v(_vm._s(_vm.label) + "\n        "),
                  _vm.required
                    ? _c("span", { staticClass: "text-danger" }, [_vm._v("*")])
                    : _vm._e()
                ]
              )
            : _vm._e(),
          _vm._v(" "),
          _c("flat-pickr", {
            staticClass: "form-control",
            attrs: { config: _vm.timePicker },
            model: {
              value: _vm.val,
              callback: function($$v) {
                _vm.val = $$v;
              },
              expression: "val"
            }
          }),
          _vm._v(" "),
          _vm.haveError
            ? _c(
                "span",
                {
                  staticClass: "error invalid-feedback",
                  attrs: { id: _vm.id + "-error" }
                },
                [_vm._v(_vm._s(_vm.getError))]
              )
            : _vm._e()
        ],
        1
      )
    };
    var __vue_staticRenderFns__$8 = [];
    __vue_render__$8._withStripped = true;

      /* style */
      var __vue_inject_styles__$8 = undefined;
      /* scoped */
      var __vue_scope_id__$8 = undefined;
      /* module identifier */
      var __vue_module_identifier__$8 = undefined;
      /* functional template */
      var __vue_is_functional_template__$8 = false;
      /* style inject */
      
      /* style inject SSR */
      
      /* style inject shadow dom */
      

      
      var __vue_component__$8 = /*#__PURE__*/normalizeComponent(
        { render: __vue_render__$8, staticRenderFns: __vue_staticRenderFns__$8 },
        __vue_inject_styles__$8,
        __vue_script__$8,
        __vue_scope_id__$8,
        __vue_is_functional_template__$8,
        __vue_module_identifier__$8,
        false,
        undefined,
        undefined,
        undefined
      );

    //
    //
    //
    //
    //
    //
    //
    //
    //
    //

    var script$9 = {
        props:{
            error:{
                required:false,
            },
            config:{
                required:false,
                type:Object
            },
            value:{
                required:false,
            },
            name:{
                required:false,
            },
            label:{
                required:false,
                default:' '
            },
            required:{
                required:false
            },
            readOnly:{
                required:false
            },
            id:{
                required:false,
            },
        },
        data: function data(){
            return {
                timePicker:{
                    enableTime: false,
                    dateFormat: "Y-m-d",
                    altInput: true,
                    altFormat: "d/m/Y",
                    defaultDate: moment().format('YYYY-MM-DD HH:mm:ss'),
                },
            }
        },
        computed:{
            getFormatedDate: function getFormatedDate(){
                return moment(this.val,'YYYY-MM-DD HH:mm:ss').format('DD/MM/YYYY');
            },
            val:{
                get: function get(){
                    return this.value;
                },
                set: function set(value){
                    this.$emit('input',value);
                }
            },
            getError: function getError(){
                return this.error;
            },
            haveError: function haveError(){
                return this.error;
            }
        },
        created: function created(){
            //init les config particuliere
            if(this.config){
                for (var key in this.config){
                    this.$set(this,key,this.config[key]);
                }
            }

            //donne le default date au model (si pas modif ,il ne remontrait pas dans le v-model)
            if(typeof this.value == 'undefined'){
                if(this.timePicker.defaultDate){
                    this.$set(this,'val',this.timePicker.defaultDate);
                }
            }
        }
    };

    /* script */
    var __vue_script__$9 = script$9;

    /* template */
    var __vue_render__$9 = function() {
      var _vm = this;
      var _h = _vm.$createElement;
      var _c = _vm._self._c || _h;
      return _c(
        "div",
        { staticClass: "form-group" },
        [
          _vm.label
            ? _c(
                "label",
                { staticClass: "text-capitalize", attrs: { for: _vm.id } },
                [
                  _vm._v(_vm._s(_vm.label) + "\n        "),
                  _vm.required
                    ? _c("span", { staticClass: "text-danger" }, [_vm._v("*")])
                    : _vm._e()
                ]
              )
            : _vm._e(),
          _vm._v(" "),
          _vm.readOnly
            ? _c("input", {
                staticClass: "form-control",
                class: { "is-invalid": _vm.haveError },
                attrs: {
                  type: "text",
                  id: _vm.id,
                  name: _vm.name,
                  required: _vm.required,
                  readOnly: _vm.readOnly
                },
                domProps: { value: _vm.getFormatedDate }
              })
            : _c("flat-pickr", {
                staticClass: "form-control",
                class: { "is-invalid": _vm.haveError },
                attrs: {
                  id: _vm.id,
                  name: _vm.name,
                  config: _vm.timePicker,
                  readOnly: _vm.readOnly,
                  required: _vm.required
                },
                model: {
                  value: _vm.val,
                  callback: function($$v) {
                    _vm.val = $$v;
                  },
                  expression: "val"
                }
              }),
          _vm._v(" "),
          _vm.haveError
            ? _c(
                "span",
                {
                  staticClass: "error invalid-feedback",
                  attrs: { id: _vm.id + "-error" }
                },
                [_vm._v(_vm._s(_vm.getError))]
              )
            : _vm._e()
        ],
        1
      )
    };
    var __vue_staticRenderFns__$9 = [];
    __vue_render__$9._withStripped = true;

      /* style */
      var __vue_inject_styles__$9 = undefined;
      /* scoped */
      var __vue_scope_id__$9 = undefined;
      /* module identifier */
      var __vue_module_identifier__$9 = undefined;
      /* functional template */
      var __vue_is_functional_template__$9 = false;
      /* style inject */
      
      /* style inject SSR */
      
      /* style inject shadow dom */
      

      
      var __vue_component__$9 = /*#__PURE__*/normalizeComponent(
        { render: __vue_render__$9, staticRenderFns: __vue_staticRenderFns__$9 },
        __vue_inject_styles__$9,
        __vue_script__$9,
        __vue_scope_id__$9,
        __vue_is_functional_template__$9,
        __vue_module_identifier__$9,
        false,
        undefined,
        undefined,
        undefined
      );

    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //

    var script$a = {
        props:{
            error:{
                required:false,
            },
            config:{
                required:false,
                type:Object
            },
            value:{
                required:false,
            },
            name:{
                required:false,
            },
            label:{
                required:false,
                default:' '
            },
            required:{
                required:false
            },
            readOnly:{
                required:false
            },
            placeholder:{
                required:false
            },
            id:{
                required:false,
            }
        },
        data: function data(){
            return {
                typeInput:'password',
                enableSeePassword:true
            }
        },
        computed:{
            val:{
                get: function get(){
                    return this.value;
                },
                set: function set(value){
                    this.$emit('input',value);
                }
            },
            getError: function getError(){
                return this.error;
            },
            haveError: function haveError(){
                return this.error;
            }
        },
        created: function created(){
            //init les config particuliere
            if(this.config){
                for (var key in this.config){
                    this.$set(this,key,this.config[key]);
                }
            }
        },
        methods:{
            toggleSee: function toggleSee(){
                if(this.typeInput == 'text'){
                    this.$set(this,'typeInput','password');
                }else {
                    this.$set(this,'typeInput','text');
                }
            }
        }
    };

    /* script */
    var __vue_script__$a = script$a;

    /* template */
    var __vue_render__$a = function() {
      var _vm = this;
      var _h = _vm.$createElement;
      var _c = _vm._self._c || _h;
      return _c("div", { staticClass: "form-group" }, [
        _c("label", { staticClass: "text-capitalize", attrs: { for: _vm.id } }, [
          _vm._v(_vm._s(_vm.label) + "\n        "),
          _vm.required
            ? _c("span", { staticClass: "text-danger" }, [_vm._v("*")])
            : _vm._e()
        ]),
        _vm._v(" "),
        _c("div", { staticClass: "input-group mb-2" }, [
          _vm.typeInput === "checkbox"
            ? _c("input", {
                directives: [
                  {
                    name: "model",
                    rawName: "v-model",
                    value: _vm.val,
                    expression: "val"
                  }
                ],
                staticClass: "form-control",
                class: { "is-invalid": _vm.haveError },
                attrs: {
                  id: _vm.id,
                  name: _vm.name,
                  placeholder: _vm.placeholder,
                  required: _vm.required,
                  readOnly: _vm.readOnly,
                  type: "checkbox"
                },
                domProps: {
                  checked: Array.isArray(_vm.val)
                    ? _vm._i(_vm.val, null) > -1
                    : _vm.val
                },
                on: {
                  change: function($event) {
                    var $$a = _vm.val,
                      $$el = $event.target,
                      $$c = $$el.checked ? true : false;
                    if (Array.isArray($$a)) {
                      var $$v = null,
                        $$i = _vm._i($$a, $$v);
                      if ($$el.checked) {
                        $$i < 0 && (_vm.val = $$a.concat([$$v]));
                      } else {
                        $$i > -1 &&
                          (_vm.val = $$a.slice(0, $$i).concat($$a.slice($$i + 1)));
                      }
                    } else {
                      _vm.val = $$c;
                    }
                  }
                }
              })
            : _vm.typeInput === "radio"
            ? _c("input", {
                directives: [
                  {
                    name: "model",
                    rawName: "v-model",
                    value: _vm.val,
                    expression: "val"
                  }
                ],
                staticClass: "form-control",
                class: { "is-invalid": _vm.haveError },
                attrs: {
                  id: _vm.id,
                  name: _vm.name,
                  placeholder: _vm.placeholder,
                  required: _vm.required,
                  readOnly: _vm.readOnly,
                  type: "radio"
                },
                domProps: { checked: _vm._q(_vm.val, null) },
                on: {
                  change: function($event) {
                    _vm.val = null;
                  }
                }
              })
            : _c("input", {
                directives: [
                  {
                    name: "model",
                    rawName: "v-model",
                    value: _vm.val,
                    expression: "val"
                  }
                ],
                staticClass: "form-control",
                class: { "is-invalid": _vm.haveError },
                attrs: {
                  id: _vm.id,
                  name: _vm.name,
                  placeholder: _vm.placeholder,
                  required: _vm.required,
                  readOnly: _vm.readOnly,
                  type: _vm.typeInput
                },
                domProps: { value: _vm.val },
                on: {
                  input: function($event) {
                    if ($event.target.composing) {
                      return
                    }
                    _vm.val = $event.target.value;
                  }
                }
              }),
          _vm._v(" "),
          _vm.enableSeePassword
            ? _c("div", { staticClass: "input-group-append" }, [
                _c(
                  "div",
                  { staticClass: "input-group-text", on: { click: _vm.toggleSee } },
                  [
                    _vm.typeInput == "text"
                      ? _c("i", { staticClass: "fas fa-eye" })
                      : _c("i", { staticClass: "fas fa-eye-slash" })
                  ]
                )
              ])
            : _vm._e()
        ]),
        _vm._v(" "),
        _vm.haveError
          ? _c(
              "span",
              {
                staticClass: "error invalid-feedback",
                staticStyle: { display: "block" },
                attrs: { id: _vm.id + "-error" }
              },
              [_vm._v(_vm._s(_vm.getError))]
            )
          : _vm._e()
      ])
    };
    var __vue_staticRenderFns__$a = [];
    __vue_render__$a._withStripped = true;

      /* style */
      var __vue_inject_styles__$a = undefined;
      /* scoped */
      var __vue_scope_id__$a = undefined;
      /* module identifier */
      var __vue_module_identifier__$a = undefined;
      /* functional template */
      var __vue_is_functional_template__$a = false;
      /* style inject */
      
      /* style inject SSR */
      
      /* style inject shadow dom */
      

      
      var __vue_component__$a = /*#__PURE__*/normalizeComponent(
        { render: __vue_render__$a, staticRenderFns: __vue_staticRenderFns__$a },
        __vue_inject_styles__$a,
        __vue_script__$a,
        __vue_scope_id__$a,
        __vue_is_functional_template__$a,
        __vue_module_identifier__$a,
        false,
        undefined,
        undefined,
        undefined
      );

    //

    var script$b = {
        props:['form','value','errors'],
        components:{
            VText: __vue_component__,
            VSelect: __vue_component__$1,
            VCheckbox: __vue_component__$2,
            VNumber: __vue_component__$4,
            VHidden: __vue_component__$5,
            VRadio: __vue_component__$3,
            VColor: __vue_component__$6,
            VEmail: __vue_component__$7,
            VDateTime: __vue_component__$8,
            VDate: __vue_component__$9,
            VPassword: __vue_component__$a
        },
        methods:{
            isEnabled: function isEnabled(part){
                if(typeof part.conditions == 'undefined'){
                    return true;
                }
                if(typeof part.conditions == 'function'){
                    var funct =  part.conditions.bind(this);
                    return funct(this.value);
                }
                return part.conditions;
            },
            getError: function getError(item){
                if(!this.errors || !item.name){
                    return false;
                }

                if(this.errors[item.name]){
                    if(Array.isArray(this.errors[item.name])){
                        return this.errors[item.name][0];
                    }else {
                        return this.errors[item.name];
                    }
                }else {
                    return false;
                }
            }
        }
    };

    /* script */
    var __vue_script__$b = script$b;

    /* template */
    var __vue_render__$b = function() {
      var _vm = this;
      var _h = _vm.$createElement;
      var _c = _vm._self._c || _h;
      return _c(
        "div",
        { staticClass: "container-fluid" },
        _vm._l(_vm.form, function(part) {
          return _vm.isEnabled(part)
            ? _c(
                "div",
                { staticClass: "row d-flex" },
                [
                  _vm._l(part.fields, function(item) {
                    return _vm.isEnabled(item)
                      ? [
                          item.type && item.type != "hidden"
                            ? _c(
                                "div",
                                {
                                  staticClass: "px-3 py-1",
                                  staticStyle: { flex: "1" }
                                },
                                [
                                  item.type
                                    ? [
                                        _c("v-" + item.type, {
                                          tag: "component",
                                          staticStyle: {
                                            "min-width": "200px",
                                            "max-width": "400px"
                                          },
                                          attrs: {
                                            name: item.name,
                                            id: item.id,
                                            label: item.label,
                                            error: _vm.getError(item),
                                            required: item.required,
                                            type: item.type,
                                            placeholder: item.placeholder,
                                            readOnly: item.readOnly,
                                            empty: item.empty,
                                            options: item.options,
                                            config: item.config
                                          },
                                          model: {
                                            value: _vm.value[item.name],
                                            callback: function($$v) {
                                              _vm.$set(_vm.value, item.name, $$v);
                                            },
                                            expression: "value[item.name]"
                                          }
                                        })
                                      ]
                                    : _vm._e()
                                ],
                                2
                              )
                            : _vm._e()
                        ]
                      : _vm._e()
                  })
                ],
                2
              )
            : _vm._e()
        }),
        0
      )
    };
    var __vue_staticRenderFns__$b = [];
    __vue_render__$b._withStripped = true;

      /* style */
      var __vue_inject_styles__$b = undefined;
      /* scoped */
      var __vue_scope_id__$b = undefined;
      /* module identifier */
      var __vue_module_identifier__$b = undefined;
      /* functional template */
      var __vue_is_functional_template__$b = false;
      /* style inject */
      
      /* style inject SSR */
      
      /* style inject shadow dom */
      

      
      var __vue_component__$b = /*#__PURE__*/normalizeComponent(
        { render: __vue_render__$b, staticRenderFns: __vue_staticRenderFns__$b },
        __vue_inject_styles__$b,
        __vue_script__$b,
        __vue_scope_id__$b,
        __vue_is_functional_template__$b,
        __vue_module_identifier__$b,
        false,
        undefined,
        undefined,
        undefined
      );

    // Importation de notre composant Vue

    // Déclaration de la méthode d'installation utilisée via Vue.use(...)
    function install(Vue) {
        if (install.installed) { return; }

        install.installed = true;

        Vue.component('form-part', __vue_component__$b);
    }

    // Création du module à destionation Vue.use(...)
    var plugin = {
        install: install,
    };

    // Installation automatique si Vue est détecté (par exemple dans un navigation via la balise <script>)
    var GlobalVue = null;

    if (typeof window !== 'undefined') {
        GlobalVue = window.Vue;
    } else if (typeof global !== 'undefined') {
        GlobalVue = global.Vue;
    }

    if (GlobalVue) {
        GlobalVue.use(plugin);
    }

    exports.default = __vue_component__$b;
    exports.install = install;

    return exports;

}({}));
